<!-- <mat-sidenav-container id="main-mat" >
<mat-sidenav #sidenav>
  <app-sidenav-list (closeSideNavigation)="sidenav.close()"></app-sidenav-list>
</mat-sidenav>
<mat-sidenav-content>
  <app-header (sideNavigationToggle)="sidenav.toggle()"></app-header>
    <main id="cmain" >
      <router-outlet></router-outlet>
    </main>
</mat-sidenav-content>
</mat-sidenav-container>
<app-footer></app-footer> -->


<mat-sidenav-container class="page-container" id="page-container">
  <!-- <mat-sidenav #sidenav mode="side" opened id="nav-container" > -->
  <mat-sidenav  #sidenav mode="side" id="nav-container"   >
    <app-sidenav2 [hidden]="!showHeader || (this.router.url =='/login' || this.router.url == '/register')" ></app-sidenav2>
  <!-- <app-sidenav-list  (closeSideNavigation)="sidenav.close()"></app-sidenav-list> -->

  </mat-sidenav>

  <mat-sidenav-content>
      <!-- <app-header (sideNavigationToggle)="sidenav.toggle()"></app-header> -->
      <app-header2 (sideNavigationToggle)="sidenav.toggle()" [hidden]="!showHeader || (this.router.url =='/login' || this.router.url == '/register')"></app-header2>
      <div class="cmain-container" >
        <main id="cmain">
          <router-outlet></router-outlet>
        </main>
      </div>

  </mat-sidenav-content>

</mat-sidenav-container>
<!-- <app-footer></app-footer>  -->
